MS09-042: Vulnerability in Telnet Could Allow Remote Code Execution (960859)

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

Arbitrary code can be executed on the remote host through the remote
Telnet client.

Description :

The remote Telnet client does not correctly opt in to NTLM credential-
reflection protections, which ensure that a user's credentials are not
reflected back and used against the user.

If a remote attacker can trick a user on the host into connecting to a
malicious server with an affected version of the Telnet client, he can
leverage this issue to gain the rights of that user and do anything that
he has privileges to do.

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS09-042

Solution :

Microsoft has released a set of patches for Windows 2000, XP, 2003,
Vista and 2008.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.7
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 40561 ()

Bugtraq ID: 35993

CVE ID: CVE-2009-1930